Valorant API Unofficial docs
API Reference MatchHistoryQuery
GET

Match Replay Info

Get download URLs for match replay files. Supports fetching multiple matches at once by repeating the id query parameter.

{type} can be:

  • SUMMARY — returns signed URLs to JSON files with match data
  • REPLAY — returns signed URLs to .vrf replay files playable in the Valorant client

The {puuid} must be your own or a friend's — otherwise access will be denied.

Internal name MatchHistoryQuery_GetMatchFileUrls Server pp.sgp.pvp.net Auth Bearer
GET https://{cluster}.pp.sgp.pvp.net/match-history-query/v3/products/valorant/players/{puuid}/infoTypes/{type}?id={match id}&id={match id}
Try this request in the browser with your own values

Headers

Authorization string required
Value Bearer {auth token}— From the Entitlements Token endpoint or Riot auth

URL parameters

cluster enum required

euc1, usw2, apse1 or apne1: the SGP cluster for the region.

euc1usw2apse1apne1
How to get it

There are 4 SGP clusters:

Cluster ID Region
euc1 Europe
usw2 North America / Brazil / LATAM / PBE
apse1 Asia Pacific / Oceania
apne1 Japan / Korea

puuid string · uuid required
A player's UUID
type enum required

SUMMARY returns match data JSON URLs, REPLAY returns .vrf replay file URLs

"SUMMARY""REPLAY"
match id string · uuid required

A match ID. Can be repeated multiple times to fetch several matches in one request. Match IDs can be obtained from the Match History endpoint.

Other variables

auth token From the Entitlements Token endpoint or Riot auth.
Details
Can be obtained locally with the Entitlements Token endpoint or remotely by first using the Auth Cookies endpoint then using the cookies with the Auth Request endpoint
Authentication

Response

total number

Number of matches returned

matchFileUrlsMap record<string, string>